---
Rails/FilePath:
  # Offense count: 212
  # Temporarily disabled due to too many offenses
  Enabled: false
  Exclude:
    - 'app/controllers/clusters/clusters_controller.rb'
    - 'app/controllers/help_controller.rb'
    - 'app/helpers/startupjs_helper.rb'
    - 'app/models/clusters/applications/cert_manager.rb'
    - 'app/models/clusters/applications/elastic_stack.rb'
    - 'app/models/clusters/concerns/application_data.rb'
    - 'app/models/concerns/cross_database_modification.rb'
    - 'app/models/release_highlight.rb'
    - 'app/serializers/review_app_setup_entity.rb'
    - 'app/services/clusters/aws/fetch_credentials_service.rb'
    - 'app/services/clusters/aws/provision_service.rb'
    - 'app/services/metrics/sample_metrics_service.rb'
    - 'app/services/projects/readme_renderer_service.rb'
    - 'config/environments/development.rb'
    - 'config/initializers/1_settings.rb'
    - 'config/initializers/7_prometheus_metrics.rb'
    - 'config/initializers/lograge.rb'
    - 'config/initializers_before_autoloader/001_fast_gettext.rb'
    - 'db/migrate/20210517144856_require_snapshot_namespace.rb'
    - 'db/post_migrate/20210630025020_migrate_push_event_payloads_event_id_back_to_integer_for_gitlab_com.rb'
    - 'ee/app/helpers/ee/application_helper.rb'
    - 'ee/app/services/security/security_orchestration_policies/project_create_service.rb'
    - 'ee/db/fixtures/development/20_vulnerabilities.rb'
    - 'ee/db/fixtures/development/21_dast_profiles.rb'
    - 'ee/db/fixtures/development/32_compliance_report_violations.rb'
    - 'ee/lib/ee/feature/definition.rb'
    - 'ee/lib/ee/gitlab/usage/metric_definition.rb'
    - 'ee/lib/gitlab/geo/health_check.rb'
    - 'ee/lib/tasks/gitlab/seed/metrics.rake'
    - 'ee/spec/db/production/license_spec.rb'
    - 'ee/spec/factories/spdx_catalogue.rb'
    - 'ee/spec/factories/vulnerabilities/findings.rb'
    - 'ee/spec/features/epics/update_epic_spec.rb'
    - 'ee/spec/lib/gitlab/code_owners/file_spec.rb'
    - 'ee/spec/lib/gitlab/spdx/catalogue_gateway_spec.rb'
    - 'ee/spec/lib/gitlab/spdx/catalogue_spec.rb'
    - 'ee/spec/models/geo/every_geo_event_spec.rb'
    - 'ee/spec/models/release_highlight_spec.rb'
    - 'ee/spec/requests/api/experiments_spec.rb'
    - 'ee/spec/services/ee/merge_requests/refresh_service_spec.rb'
    - 'ee/spec/support/factory_bot.rb'
    - 'ee/spec/validators/json_schema_validator_spec.rb'
    - 'lib/api/api.rb'
    - 'lib/error_tracking/collector/payload_validator.rb'
    - 'lib/feature/definition.rb'
    - 'lib/gitlab/ci/reports/codequality_reports.rb'
    - 'lib/gitlab/database/migrations/runner.rb'
    - 'lib/gitlab/favicon.rb'
    - 'lib/gitlab/feature_categories.rb'
    - 'lib/gitlab/graphql/queries.rb'
    - 'lib/gitlab/language_data.rb'
    - 'lib/gitlab/metrics/exporter/base_exporter.rb'
    - 'lib/gitlab/middleware/multipart.rb'
    - 'lib/gitlab/profiler.rb'
    - 'lib/gitlab/robots_txt.rb'
    - 'lib/gitlab/setup_helper.rb'
    - 'lib/gitlab/sidekiq_config.rb'
    - 'lib/gitlab/tracking/event_definition.rb'
    - 'lib/gitlab/usage/metric_definition.rb'
    - 'lib/pager_duty/webhook_payload_parser.rb'
    - 'lib/system_check/app/database_config_exists_check.rb'
    - 'lib/system_check/app/gitlab_config_exists_check.rb'
    - 'lib/system_check/app/gitlab_config_up_to_date_check.rb'
    - 'lib/system_check/app/systemd_unit_files_or_init_script_up_to_date_check.rb'
    - 'lib/system_check/app/uploads_directory_exists_check.rb'
    - 'lib/system_check/incoming_email/imap_authentication_check.rb'
    - 'lib/tasks/gitlab/metrics_exporter.rake'
    - 'lib/tasks/tanuki_emoji.rake'
    - 'metrics_server/metrics_server.rb'
    - 'spec/commands/metrics_server/metrics_server_spec.rb'
    - 'spec/config/object_store_settings_spec.rb'
    - 'spec/controllers/help_controller_spec.rb'
    - 'spec/db/development/create_base_work_item_types_spec.rb'
    - 'spec/db/development/import_common_metrics_spec.rb'
    - 'spec/db/production/create_base_work_item_types_spec.rb'
    - 'spec/db/production/import_common_metrics_spec.rb'
    - 'spec/db/schema_spec.rb'
    - 'spec/factories/design_management/designs.rb'
    - 'spec/factories/design_management/versions.rb'
    - 'spec/factories/error_tracking/error_event.rb'
    - 'spec/factories/file_uploaders.rb'
    - 'spec/factories/packages/debian/distribution_key.rb'
    - 'spec/factories/pages_domains.rb'
    - 'spec/factories/serverless/domain_cluster.rb'
    - 'spec/features/admin/admin_appearance_spec.rb'
    - 'spec/features/groups/group_settings_spec.rb'
    - 'spec/features/groups/import_export/import_file_spec.rb'
    - 'spec/features/help_pages_spec.rb'
    - 'spec/features/issues/user_creates_issue_spec.rb'
    - 'spec/features/profiles/user_edit_profile_spec.rb'
    - 'spec/features/projects/files/user_replaces_files_spec.rb'
    - 'spec/features/projects/import_export/import_file_spec.rb'
    - 'spec/features/projects/issues/design_management/user_uploads_designs_spec.rb'
    - 'spec/features/projects/issues/design_management/user_views_designs_with_svg_xss_spec.rb'
    - 'spec/features/projects/settings/repository_settings_spec.rb'
    - 'spec/features/projects/settings/user_changes_avatar_spec.rb'
    - 'spec/features/projects/snippets/create_snippet_spec.rb'
    - 'spec/features/projects/tags/user_edits_tags_spec.rb'
    - 'spec/features/projects/tree/upload_file_spec.rb'
    - 'spec/features/snippets/user_creates_snippet_spec.rb'
    - 'spec/features/snippets/user_edits_snippet_spec.rb'
    - 'spec/features/uploads/user_uploads_avatar_to_group_spec.rb'
    - 'spec/features/uploads/user_uploads_avatar_to_profile_spec.rb'
    - 'spec/features/uploads/user_uploads_file_to_note_spec.rb'
    - 'spec/helpers/blob_helper_spec.rb'
    - 'spec/helpers/startupjs_helper_spec.rb'
    - 'spec/lib/backup/database_spec.rb'
    - 'spec/lib/gitlab/background_migration/fix_first_mentioned_in_commit_at_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/security/validators/schema_validator_spec.rb'
    - 'spec/lib/gitlab/database/rename_reserved_paths_migration/v1/rename_base_spec.rb'
    - 'spec/lib/gitlab/database/schema_migrations/context_spec.rb'
    - 'spec/lib/gitlab/feature_categories_spec.rb'
    - 'spec/lib/gitlab/file_hook_spec.rb'
    - 'spec/lib/gitlab/http_spec.rb'
    - 'spec/lib/gitlab/jwt_authenticatable_spec.rb'
    - 'spec/lib/gitlab/mail_room/mail_room_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/finder_spec.rb'
    - 'spec/lib/gitlab/middleware/multipart/handler_spec.rb'
    - 'spec/lib/gitlab/project_transfer_spec.rb'
    - 'spec/lib/gitlab/sanitizers/svg_spec.rb'
    - 'spec/metrics_server/metrics_server_spec.rb'
    - 'spec/models/clusters/applications/cert_manager_spec.rb'
    - 'spec/models/release_highlight_spec.rb'
    - 'spec/requests/api/internal/mail_room_spec.rb'
    - 'spec/serializers/review_app_setup_entity_spec.rb'
    - 'spec/services/clusters/aws/fetch_credentials_service_spec.rb'
    - 'spec/services/clusters/aws/provision_service_spec.rb'
    - 'spec/services/metrics/sample_metrics_service_spec.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/helpers/upload_helpers.rb'
    - 'spec/support/shared_examples/features/project_upload_files_shared_examples.rb'
    - 'spec/support/shared_examples/features/wiki/file_attachments_shared_examples.rb'
    - 'spec/support/shared_examples/models/application_setting_shared_examples.rb'
    - 'spec/support/shared_examples/models/wiki_shared_examples.rb'
    - 'spec/tasks/gitlab/db_rake_spec.rb'
    - 'spec/tasks/gitlab/generate_sample_prometheus_data_spec.rb'
